

<script>

import { decor } from './decor'
export default decor;

</script>

<template>
	<lounge #default="{ palette, terrain }">
		<div
			:style="{
				position: 'absolute',
				visibility: 'hidden',
				zIndex: '-1000'
			}"
		>{{ _terrain = terrain }}</div>
	
		<article ref="layout">
			<div v-if="show_goal">
				<div
					:style="{
						display: 'flex',
						justifyContent: 'space-between',
						alignItems: 'center'
					}"
				>
					<h1
						:style="{
							width: '100%',
							fontWeight: 'bold',
							textAlign: 'center'
						}"
					>{{ find_label () }}</h1>
					<s_button
						v-if="show_pick"
					
						:clicked="pick_goal"
						boundaries="8px 32px"
					>pick</s_button>
				</div>
				
				<s_line :style="{ margin: '10px 0' }" />
				
				<div>
					<h2 :style="{ textAlign: 'center' }">caution</h2>
					<div 
						v-for="caution in furnish_array (goal, [ 'nature', 'cautions'], [])"
						:style="{}"
					>
						<p>{{ caution }}</p>
					</div>
				</div>
				
				<s_line :style="{ margin: '10px 0' }" />
				
				<div>
					<h2 :style="{ textAlign: 'center' }">audience</h2>
					
					<div 
						v-for="limiter in furnish_array (goal, [ 'nature', 'limiters'], [])"
						:style="{
							display: 'flex',
							alignItems: 'center',
							
							boxSizing: 'border-box',
							padding: '4px 0',
							//justifyContent: 'space-between'
						}"
					>	
						<div
							:style="{
								width: '100px'
							}"
						>
							<div
								:style="{
									display: 'inline-block',
									position: 'relative',
									
									padding: '4px 8px',
									border: '1px solid ' + palette [6],
									borderRadius: '4px'
								}"
							>
								<s_curtain />
								<p
									:style="{
										position: 'relative',
										margin: 0,
									}"
								>{{ furnish_string (limiter, 'label', '') }}</p>
							</div>
						</div>
						
						<div
							:style="{
								paddingLeft: '10px'
							}"
						>
							<p 
								v-for="(include, index) in furnish_array (limiter, [ 'includes' ], [])"
								:style="{
									paddingRight: '4px'
								}"
							>
								<span v-if="typeof include === 'string'">
									<span>{{ include }}</span>
								</span>
								
								<span 
									v-else-if="Array.isArray (include)"
									:style="{
										display: 'inline-flex'
									}"
								>
									<span>{{ include [0] }}</span>
									<span :style="{ padding: '0 4px' }">to</span>
									<span>{{ include [1] }}</span>
								</span>
								
								<span v-else>
									<span>{{ include }}</span>
								</span>
								
								<span
									v-if="index != furnish_array (limiter, [ 'includes' ], []).length - 1"
								>,</span>
							</p>
						</div>
					</div>
				</div>
				
				<s_line :style="{ margin: '10px 0' }" />
				
				<div>
					<h2 :style="{ textAlign: 'center' }">ingredient goals</h2>
					
					<div
						:style="{
							margin: '0 auto',
							maxWidth: '900px',
							width: '100%',
							
							textAlign: 'center'
						}"
					>
						<s_line :style="{ margin: '10px 0' }" />
					
						<h3>sums</h3>
					
						<div
							:style="{
								display: 'flex',
								justifyContent: 'space-between'
							}"
						>
							<div
								:style="{
									width: '50%'
								}"
							>
								<h3 :style="{ margin: 0, fontSize: '.8em' }">food calories</h3>
								<p :style="{ margin: 0 }">{{ this.food_calories_sum }}</p>
							</div>
							
							<div
								:style="{
									width: '50%'
								}"
							>
								<h3 :style="{ margin: 0, fontSize: '.8em' }">mass + mass equivalents</h3>
								<p :style="{ margin: 0 }">{{ this.mass_plus_mass_eq_sum }}</p>
							</div>
						</div>
					</div>
					
					<s_line :style="{ margin: '10px 0' }" />
					
					<div
						:style="{
							padding: '0.5cm 0'
						}"
					>
						<p>
							<span><b>RDA</b> is <b>Recommended Dietary Allowance</b>.  </span>
							<span>It's the amount necessary to be healthy per Earth day.</span>
						</p>
					</div>
					
					<s_line :style="{ margin: '10px 0' }" />
					
					<div
						:style="{
							display: 'flex',
							justifyContent: 'space-around',
							flexDirection: mobile_mode ? 'column' : 'row-reverse'
						}"
					>
						<div
							:style="{
								position: 'relative',
								width: mobile_mode ? '100%' : '40%',
								minHeight: '340px',
								
								display: 'flex',
								justifyContent: 'center'
							}"
						>
							<pie_chart
								ref="mass_pie_chart"
								:style="{
									position: 'relative',
									top: 0,
									left: 0,
									
									margin: mobile_mode ? '0 auto' : '0',
									
									//height: mobile_mode ? 'auto' : '500px',
									//width: mobile_mode ? 'auto' : '500px',
									
									height: 'auto',
									width: '100%',
									
									maxWidth: '500px',
									maxHeight: '500px'
								}"
							/>
						</div>
					</div>
					
					<s_line :style="{ margin: '10px 0' }" />
					
					<goals_qualities_table
						:grove="furnish_array (goal, [ 'nature', 'recipe', 'essential nutrients', 'grove' ], [])"
						table_kind="EN"
					/>
				</div>
			</div>
		</article>
	</lounge>
</template>